# PetscViewerBinaryMatlabOutputBag

Output a bag object to the viewer and write matlab code to the info file to read a PetscBag from binary.

### Synopsis

    #undef __FUNCT__
    #define __FUNCT__ "PetscViewerBinaryMatlabOutputBag"
    PetscErrorCode PetscViewerBinaryMatlabOutputBag(PetscViewer viewer, const char name[], PetscBag bag)

### Input Parameters

| viewer | - The viewer object
| name | - The bag name
| bag | - The bag object containing data to output

### See Also

PetscViewerBinaryMatlabOpen(), PetscViewerBinaryMatlabOutputVec(), PetscViewerBinaryMatlabOutputVecDA()

Level:intermediate
Location: src/dm/da/utils/binaryMatlab.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages